at.chipkarte.client.elgaad.soap

## Class AuthorBody

- Object
- - at.chipkarte.client.elgaad.soap.AuthorBody

-     public class AuthorBody
      extends Object

  Daten zum Autor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorBody()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AufzeichnendesGeraet` | `getAufzeichnendesGeraet()` Aufzeichnendes Gerät (im Falle einer maschinellen Erfassung).
    `AuthorPerson` | `getAuthorPerson()` Autor.
    `String` | `getFreigabedatum()` Datum der Freigabe der Dokumentation.
    `Id[]` | `getIdList()` Ids des Authors.
    `Organization` | `getInstitution()` Daten zur Organisation.
    `void` | `setAufzeichnendesGeraet(AufzeichnendesGeraet aufzeichnendesGeraet)`
    `void` | `setAuthorPerson(AuthorPerson authorPerson)`
    `void` | `setFreigabedatum(String freigabedatum)`
    `void` | `setIdList(Id[] idList)`
    `void` | `setInstitution(Organization institution)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorBody

          public AuthorBody()

  - ### Method Detail

    - #### getIdList

          public Id[] getIdList()

      Ids des Authors. Siehe `Id`.
      Angabe: Muss.
      Returns:
        IdList.

    - #### setIdList

          public void setIdList(Id[] idList)

    - #### getFreigabedatum

          public String getFreigabedatum()

      Datum der Freigabe der Dokumentation. Siehe `AuthorBody`.
      Angabe: Bedingt.
      Für die Erfassung von Impfungen (Impf-Autor) gilt: Das Freigabedatum kann bei der Angabe leer gelassen werden. In diesem Fall wird das Freigabedatum automatisch versorgt. Bei aktuellen Impfungen wird dazu das aktuelle Datum, bei Nachtragungen das Datum der Impfung verwendet.
      Format: 10 stellig im Format `TT.MM.JJJJ`
      Returns:
        Freigabedatum.

    - #### setFreigabedatum

          public void setFreigabedatum(String freigabedatum)

    - #### getAuthorPerson

          public AuthorPerson getAuthorPerson()

      Autor. Siehe `AuthorPerson`.
      Angabe: Muss.
      Returns:
        AuthorPerson.

    - #### setAuthorPerson

          public void setAuthorPerson(AuthorPerson authorPerson)

    - #### getInstitution

          public Organization getInstitution()

      Daten zur Organisation. Siehe `Organization`.
      Angabe: Kann.
      Returns:
        Institution.

    - #### setInstitution

          public void setInstitution(Organization institution)

    - #### getAufzeichnendesGeraet

          public AufzeichnendesGeraet getAufzeichnendesGeraet()

      Aufzeichnendes Gerät (im Falle einer maschinellen Erfassung). Es soll die zu erstellende Software hinterlegt werden. Siehe `AufzeichnendesGeraet`.
      Angabe: Kann.
      Returns:
        Aufzeichnendes Gerät.

    - #### setAufzeichnendesGeraet

          public void setAufzeichnendesGeraet(AufzeichnendesGeraet aufzeichnendesGeraet)